<?php
include('required.php');
ini_set('html_errors', false);

if(isset($user)) {
	$user_id = $user->user_id;
} else {
	if(isset($global_user)) {
		$user_id = $global_user->user_id;
	}
}

function getCustomerId() {
	global $global_user;
	return $global_user->user_id;
}

if ($_POST["action"] == "return_tag_search") {
	$gamesClass = new Games();
	echo $gamesClass->filterTagSelect($_POST["searchterm"],$_POST["exclude"]);
}

if ($_POST["action"] == "return_lesson_tag_search") {
	$lessonClass = new Lesson();
	echo $lessonClass->filterTagSelect($_POST["searchterm"],$_POST["exclude"]);
}


if ($_POST["action"] == "add_tag_row") {
	if (strlen($_POST["tags_id"]) > 0) {
		$gamesClass = new Games();
		echo $gamesClass->addTagRow($_POST["tags_id"]);
	}
}

if ($_POST["action"] == "add_tag_row_resource") {
	if (strlen($_POST["tags_id"]) > 0) {
		$resources = new Resources();
		echo $resources->addTagRow($_POST["tags_id"]);
	}
}

if ($_POST["action"] == "add_tag_row_mass_add_resource") {
	if (strlen($_POST["tags_id"]) > 0 && strlen($_POST["resource_ids"]) > 0) {
		$resources = explode(':', $_POST["resource_ids"]);
		$resources_object = new Resources();
		foreach($resources as $resource) {
			$resources_object->addTag($resource, $_POST["tags_id"]);
		}
	}
}



/*
function getOrgNr() {
	global $global_user;
	$orgnr = false;
	if(!empty($global_user->user_orgnr)){
		$orgnr = preg_replace( '/[^0-9]/i', '', $global_user->user_orgnr);
	}
	return $orgnr;
}
*/

/*
function login($debug = false){
	// Login happens with two requests. First one initiates BankId login, and responds with a BankID session id called "orderref".
	// Second request is to a page checking that BankID session and answers with "COMPLETE" when user has been logged in.
	// Without the second request, the users personal number is not set to the remote server session and the user is never fully logged in, even after completing the BankID challenge in the BankID app.

	//Can timeout as BankID can take up to 120 sec
	ini_set('max_execution_time', '120');

	$ch = curl_init();


	$persnr = false; // "199008080476";
	if(isset($_POST["pnr"])){
		$persnr = $_POST["pnr"];
	}

	$orgnr = getOrgNr();
	$swishnr = getSwishNr();

	if(strlen($persnr) != 12 || strlen($orgnr) != 10 || strlen($swishnr) != 10){
		if($debug) echo 'pnr, orgnr or swishnr incorrect';
		return false;
	}

	if($debug) echo "\n\nhttps://comcert.getswish.net/cert-mgmt-web/rest/cert/authenticate/mobileBankId/$persnr/$orgnr/$swishnr\n\n";

	curl_setopt($ch, CURLOPT_COOKIEJAR, "tmpcert/cookie2.txt");
	curl_setopt($ch, CURLOPT_URL,"https://comcert.getswish.net/cert-mgmt-web/rest/cert/authenticate/mobileBankId/$persnr/$orgnr/$swishnr");
	curl_setopt($ch, CURLOPT_RETURNTRANSFER,1);
	curl_setopt($ch, CURLOPT_POST, 1);
	curl_setopt($ch, CURLOPT_VERBOSE, true);
//	curl_setopt($ch, CURLOPT_STDERR, fopen('./curl1.log', 'w+'));

	ob_start();      // prevent any output
	$resp = curl_exec ($ch); // execute the curl command
	ob_end_clean();  // stop preventing output

	if (curl_errno($ch)) {
    $error_msg = curl_error($ch);
    return false;
	}

	curl_close ($ch);
	unset($ch);

	if($debug) echo "\n\n\n";
	if($debug) print_r($resp);
	// die();

	// Get orderRef
	$matches = false;
	$re = '/"orderRef":"([^"]*)"/m';
	preg_match_all($re, $resp, $matches);

	// Print the entire match result
	$orderRef = $matches[1][0];

	if($debug) echo "\n\n\n";
	if($debug) print_r($orderRef);

	$url = "https://comcert.getswish.net/cert-mgmt-web/rest/cert/authenticate/collect/$orderRef";

	$ch = curl_init();
	curl_setopt($ch, CURLOPT_RETURNTRANSFER,1);
	curl_setopt($ch, CURLOPT_COOKIEFILE, "tmpcert/cookie2.txt");
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_POST, 1);
	curl_setopt($ch, CURLOPT_VERBOSE, true);
	//curl_setopt($ch, CURLOPT_STDERR, fopen('./curl1.log', 'w+'));
	$resp = curl_exec ($ch);

	if (curl_errno($ch)) {
    $error_msg = curl_error($ch);
    return false;
	}
	curl_close ($ch);

	if($debug) echo "\n\n\n";
	if($debug) print_r($resp);

	if($resp == '"COMPLETE"'){
		if($debug) echo "\n\n\nreturn true";
		return true;
	}else{
		if($debug) echo "\n\n\nreturn false";
		return false;
	}

	// login complete
}

function logout(){
	// Logs user out, for debugging purposes
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_RETURNTRANSFER,1);
	curl_setopt($ch, CURLOPT_POST, 1);
	curl_setopt($ch, CURLOPT_COOKIEFILE, "tmpcert/cookie2.txt");
	curl_setopt($ch, CURLOPT_URL,"https://comcert.getswish.net/cert-mgmt-web/rest/cert/logout");
	curl_setopt($ch, CURLOPT_VERBOSE, true);
	// curl_setopt($ch, CURLOPT_STDERR, fopen('./curl2.log', 'w+'));

	$resp = curl_exec ($ch);

	if (curl_errno($ch)) {
    $error_msg = curl_error($ch);
    return false;
	}

	curl_close ($ch);
	return true;
}
*/

if($_POST['action'] == 'uploadFile') {
	$return = '';
	if(!empty($_FILES)) {
		$buttons = new Buttons($user_id);
		if(!empty($_POST['id'])) {
			$new_id = $_POST['id'];
		} else {
			$new_id = $buttons->getNextIncrementId();
		}
		$_FILES["fileToUpload"]["name"] = $new_id."_".$_FILES["fileToUpload"]["name"];
		$file_return = $application->uploadFile($_FILES, $global_user->user_id);
		$file_success = $file_return['status'];
		if($file_success == 'success' && !empty($file_return['file_location'])) {
			$return = $file_return['file_location'];
		} else {
			$return = 'invalid';
		}
		echo $return;
	}
}

if($_POST['action'] == 'update_user_last_online') {
	$return = '';
	if(isset($user)) {
		$user->updateLastOnlineTime();
	} else {
		if(isset($global_user)) {
			$global_user->updateLastOnlineTime();
		} else {
			$return = 'error_no_user_id';
		}
	}
	echo $return;
}

if($_POST['action'] == 'update_user_last_action') {
	$return = '';
	if(isset($user)) {
		$user->updateLastActionTime();
	} else {
		if(isset($global_user)) {
			$global_user->updateLastActionTime();
		} else {
			$return = 'error_no_user_id';
		}
	}
	echo $return;
}



##########################################################################################################



/*
if($_POST['action'] == 'uploadLogo') {
	$return = '';
	if(!empty($_FILES)) {
		$_FILES["fileToUpload"]["name"] = "logo_".$user_id."_".$_FILES["fileToUpload"]["name"]; //do we want to strip the user input name here to save space in the long term?
		$file_return = $application->uploadFile($_FILES, $global_user->user_id);
		$file_success = $file_return['status'];
		if($file_success == 'success' && !empty($file_return['file_location'])) {
			$return = $file_return['file_location'];
			$settings_object = new Settings($user_id); //update the logo in the database right away, because I assume users will expect this to be done as soon as it appears rather than after "save" is clicked.
			$data['company_logo'] = $file_return['file_location'];
			$settings_object->update($data);
		} else {
			$return = 'invalid';
		}
		echo $return;
	}
}
*/

/*
if($_POST['action'] == 'uploadDefaultImage') {
	$return = '';
	if(!empty($_FILES)) {
		$tmp_files['fileToUpload']["name"] = "product_".$user_id."_".$_FILES["product_default_image_url_file"]["name"];
		$tmp_files['fileToUpload']["type"] = $_FILES["product_default_image_url_file"]["type"];
		$tmp_files['fileToUpload']["tmp_name"] = $_FILES["product_default_image_url_file"]["tmp_name"];
		$tmp_files['fileToUpload']["size"] = $_FILES["product_default_image_url_file"]["size"];
		$file_return = $application->uploadFile($tmp_files, $global_user->user_id);
		$file_success = $file_return['status'];
		if($file_success == 'success' && !empty($file_return['file_location'])) {
			$return = $file_return['file_location'];
			$settings_object = new Settings($user_id); //update the logo in the database right away, because I assume users will expect this to be done as soon as it appears rather than after "save" is clicked.
			$data['product_default_image_url'] = $file_return['file_location'];
			$settings_object->update($data);
		} else {
			$return = 'invalid';
		}
		echo $return;
	}
}

//[KWI04]
if($_POST['action'] == 'uploadTicketBackground') {
	$return = '';
	if(!empty($_FILES)) {
		$_FILES["ticketBackgroundUpload"]["name"] = "ticketBackground_".$user_id."_".$_FILES["ticketBackgroundUpload"]["name"]; //do we want to strip the user input name here to save space in the long term?
		$tmp_files['fileToUpload']["name"] = $_FILES["ticketBackgroundUpload"]["name"];
		$tmp_files['fileToUpload']["type"] = $_FILES["ticketBackgroundUpload"]["type"];
		$tmp_files['fileToUpload']["tmp_name"] = $_FILES["ticketBackgroundUpload"]["tmp_name"];
		$tmp_files['fileToUpload']["size"] = $_FILES["ticketBackgroundUpload"]["size"];
		$file_return = $application->uploadFile($tmp_files, $global_user->user_id);
		$file_success = $file_return['status'];
		if($file_success == 'success' && !empty($file_return['file_location'])) {
			$return = $file_return['file_location'];
			$settings_object = new Settings($user_id); //update the logo in the database right away, because I assume users will expect this to be done as soon as it appears rather than after "save" is clicked.
			$data['ticket_background'] = $file_return['file_location'];
			$settings_object->update($data);
		} else {
			$return = 'invalid';
		}
		echo $return;
	}
}

if($_POST['action'] == 'getKey') {
	$user = new User($user_id);
	$userSettings = new Settings($user_id);
	$customerId = $user_id;
	$artnr = $_POST['artno'];
	$price = $_POST['price'];
	$vat = '';
	$maxSales = '';
	$shipping_standard = '';
	$shipping_express = '';
	$customerKey = $userSettings->api_key;

	//set optionals if they exist
	if(!empty($_POST['vat']) || $_POST['vat'] === '0') {
		$vat = $_POST['vat'];
	}
	if(!empty($_POST['maxsales']) || $_POST['maxsales'] === '0') {
		$maxSales = $_POST['maxsales'];
	}
	if(!empty($_POST['shipping_standard']) || $_POST['shipping_standard'] === '0') {
		$shipping_standard = $_POST['shipping_standard'];
	}
	if(!empty($_POST['shipping_express']) || $_POST['shipping_express'] === '0') {
		$shipping_express = $_POST['shipping_express'];
	}
	$key = $user->makeKey($customerId, $artnr, $price, $vat, $maxSales, $customerKey, $shipping_standard, $shipping_express);
	echo $key;
}

if($_POST['action'] == 'save') {
	$buttons = new Buttons($user_id);
	if(empty($_POST['id'])) {
		$buttons->addButton($_POST);
	} else {
		$buttons->updateButton($_POST);
	}
}

/*
if($_POST['action'] == 'updateOrder') {
	$order = new Orders($user_id, $_POST['orderid']);
	if(!empty($_POST['value'])) {
		$order->setStage($_POST['value']);
		echo 'success';
	}
}

if($_POST['action'] == 'callbackTest') {
	if($_POST['url']) {
		// Get order info
		$orders_object = new Orders($user_id);
		$order = $orders_object->getTestOrder();
		$data = $order;
		$data_string = json_encode($data);
		$url = $_POST['url'];
		if($url !== false){
			$ch = curl_init($url);
			curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
			curl_setopt($ch, CURLOPT_POSTFIELDS, $data_string);
			curl_setopt($ch, CURLOPT_HTTPHEADER, array(
			    'Content-Type: application/json',
			    'Content-Length: ' . strlen($data_string))
			);
			$result = curl_exec($ch);
			if ($result !== FALSE){
			}
		}else{
		}
	}
}

if($_POST['action'] == 'refund') {
	ini_set('html_errors', false);
	include(__DIR__."/../config.php");
	include(__DIR__."/../DatabaseHelper.php");
	include(__DIR__."/../SwishHelper.php");
	$orderKey = $_POST['originalOrderKey'];
	$sh = new SwishHelper($curlConfig, $sqlConfig);
	$sh->initRefund($user_id.'x'.$orderKey, true);
}
*/

if($_POST['action'] == 'setLanguage') {
	if (isset ($_POST['language'])) {
		$recognisedlanguages = array (
			'eng'
		);
		$newlang = 'sv';
		foreach ($recognisedlanguages as $rl) {
			if ($_POST['language'] == $rl) {
				$newlang = $rl;
			}
		}
		setcookie("lang", $newlang, time()+2*24*60*60);
	}
	//echo "language changed to ".$_POST['language']." // ".$newlang;
}

if ($_POST["action"] == "return_user_search_select_options") {
	if (strlen($_POST["searchterm"]) > 0) {
		$search_users = $global_user->getUserSearchSelectOptions($_POST["searchterm"],''.$_POST["exclude"]);
		echo '<select id="searchUser" name="searchUser">';
		echo '<option value="" selected></option>';
		foreach($search_users as $search_user) {
			$namestring = htmlspecialchars($search_user->user_id.': ');
			if (!empty($search_user->user_first) || !empty($search_user->user_last)) {
				if (!empty($search_user->user_first)) {
					$namestring .= htmlspecialchars($search_user->user_first.' ');
				}
				if (!empty($search_user->user_last)) {
					$namestring .= htmlspecialchars($search_user->user_last.' ');
				}
				if (!empty($search_user->user_company)) {
					$namestring .= htmlspecialchars('('.$search_user->user_company.')');
				}
			} else {
				if (!empty($search_user->user_company)) {
					$namestring .= htmlspecialchars($search_user->user_company);
				} else {
					$namestring .= htmlspecialchars('-');
				}
			}
			echo '<option value="'.$search_user->user_id.'">'.$namestring.'</option>';
		}
		echo '</select>';
	} else {
		echo '<select id="searchUser">';
		echo '<option value="" selected></option>';
		echo '</select>';
	}
}

if ($_POST["action"] == "add_stakeholder_row") {
	if (strlen($_POST["user_id"]) > 0) {
		$properties = new Properties();
		echo $properties->addStakeholderRow($_POST["user_id"]);
	}
}

if ($_POST["action"] == "fill_meeting_votes_tables") {
	if (!empty($_POST["meetingid"])) {
		$votesClass = new Votes();
		$data = array();
		$data['filter_stage'] = "10 20";
		$data['filter_meetings_id'] = $_POST["meetingid"];
		$data['sort'] = "stage";
		$data['order'] = "ASC";
		$data['start'] = 0;
		$data['limit'] = 200;
		$votes = $votesClass->getVotes($data);
		foreach ($votes as $vote) {
			echo "<tr>";
			if ($vote->passed == -1) {
				$tdtemplate = "<td class='green_highlight_row'>";
				$stage_text = $_['global_voting_ongoing'];
				$vote_text = $_['global_vote'];
			} else {
				$tdtemplate = "<td>";
				$stage_text = $_['global_voting_complete'];
				if ($vote->passed == 0) {
					$stage_text .= " - ".$_['global_vote_rejected'];
				}
				if ($vote->passed == 1) {
					$stage_text .= " - ".$_['global_vote_accepted'];
				}
				if ($vote->passed == 9) { //occurs when the meeting is ended before the vote is submitted
					$stage_text .= " - ".$_['global_vote_meeting_ended'];
				}
				$stage_text .= "<br>".number_format($vote->vote_yes,2)." ".$_['global_vote_for']." : ".number_format($vote->vote_no,2)." ".$_['global_vote_against']." (".number_format($vote->vote_abstain,2)." ".$_['global_vote_abstained'].")";
				$vote_text = $_['global_view'];
			}
			echo $tdtemplate.$vote->name."</td>";
			echo $tdtemplate.$stage_text."</td>";
			echo $tdtemplate;
				echo "<a class='btn green' href='vote?votes_id=".$vote->id."'>".$vote_text."</a>";
			echo "</td>";;
			echo "</tr>";
		}
	}
}

if ($_POST["action"] == "fill_meeting_attendees_tables") {
	if (!empty($_POST["meetingid"])) {
		$meetingsClass = new Meetings();
		if (!empty($_POST["searchterm"])) {
			$searchterm = $_POST["searchterm"];
		} else {
			$searchterm = "";
		}
		$attendees = $meetingsClass->getAttendingUsers($_POST["meetingid"], $searchterm);
		foreach ($attendees as $attendee) {
			echo "<tr>";
				echo "<td style='width:31px;'>";
					if ($attendee->user_last_active > date("Y-m-d H:i:s", strtotime("-6 minutes"))) {
						echo "<i style='color:green' class='fas fa-circle'></i>";
					} elseif ($attendee->user_last_online > date("Y-m-d H:i:s", strtotime("-6 minutes"))) {
						echo "<i style='color:yellow' class='fas fa-circle'></i>";
					} else {
						echo "<i style='color:grey' class='fas fa-circle'></i>";
					}
				echo "</td>";
				echo "<td>";
					echo $attendee->user_first." ".$attendee->user_last;
				echo "</td>";
			echo "</tr>";
		}
	}
}

if ($_POST["action"] == "update_meeting_details") {
	if (!empty($_POST["meetings_id"])) {
		if (empty($_POST["namestring"])) {
			$namestring = "";
		} else {
			$namestring = $_POST["namestring"];
		}

		if (empty($_POST["textstring"])) {
			$textstring = "";
		} else {
			$textstring = $_POST["textstring"];
		}

		$meetingsClass = new Meetings();
		$meetingsClass->updateNameAndDetails($_POST["meetings_id"], $namestring, $textstring, $global_user->user_id);
	}
}

if ($_POST["action"] == "return_property_search_select_options") {
	$propertiesClass = new Properties();
	if (empty($_POST["searchterm"])) {
		$data['filter_user'] = $_POST["user_id"];
	} elseif (!empty($_POST["user_id"])) {
		$data['filter_general'] = $_POST["searchterm"];
	} else {
		$data['filter_id'] = 0;
	}
	if (!empty($_POST["exclude"])) {
		$data['exclude_id'] = $_POST["exclude"];
	}
	$data['sort'] = "address_street";
	$data['order'] = "ASC";
	$data['limit'] = 50;

	$search_properties = $propertiesClass->getProperties($data);
	echo '<select id="searchProperty" name="searchProperty">';
	echo '<option value="" selected></option>';
	foreach($search_properties as $search_property) {
		$namestring = htmlspecialchars($search_property->id.': ');
		if (!empty($search_property->address_street)) {
			$namestring .= htmlspecialchars($search_property->address_street.', ');
		}
		if (!empty($search_property->address_postnr)) {
			$namestring .= htmlspecialchars($search_property->address_postnr.', ');
		}
		if (!empty($search_property->address_city)) {
			$namestring .= htmlspecialchars($search_property->address_city.', ');
		}
		if (!empty($search_property->name)) {
			$namestring .= htmlspecialchars('('.$search_property->name.')');
		}
		echo '<option value="'.$search_property->id.'">'.$namestring.'</option>';
	}
	echo '</select>';
}

if ($_POST["action"] == "add_registered_property_row") {
	if (strlen($_POST["property_id"]) > 0) {
		$properties = new Properties();
		echo $properties->addPropertyRow($_POST["property_id"], $_POST["meetings_id"], $_POST["user_id"]);
	}
}


/*
function getSwishNr(){
	global $global_user;
	$userSettings = new Settings($global_user->user_id);
	if(!empty($userSettings->swish_number)){
		return $userSettings->swish_number;
	}else{
		return false;
	}
}

function createCertificates($debug = false){
	// sleep(3);
	// if($debug) echo "SKIPPING CERTS ONLY LOGIN TEST";
	// return true;

	if(generateCsr() == false){
		if($debug) echo "\n - - generateCsr FAILED!\n";
		return false;
	}
	if($debug) echo "\n - - generateCsr COMPLETE!\n";


	if(sendCsr() == false){
		if($debug) echo "\n - - sendCsr FAILED!\n";
		return false;
	}
	if($debug) echo "\n - - sendCsr COMPLETE!\n";


	if(moveFiles() == false){
		if($debug) echo "\n - - moveFiles FAILED!\n";
		return false;
	}
	if($debug) echo "\n - - moveFiles COMPLETE!\n";


	return true;
}



function listCerts(){
	// Not used, could be used to check for revoked certificates in the future
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_RETURNTRANSFER,1);
	curl_setopt($ch, CURLOPT_COOKIEFILE, "tmpcert/cookie2.txt");
	curl_setopt($ch, CURLOPT_URL,"https://comcert.getswish.net/cert-mgmt-web/rest/cert/list");
	curl_setopt($ch, CURLOPT_VERBOSE, true);
	// curl_setopt($ch, CURLOPT_STDERR, fopen('./curl2.log', 'w+'));

	$resp = curl_exec ($ch);

	if (curl_errno($ch)) {
    $error_msg = curl_error($ch);
    return false;
	}

	curl_close ($ch);
	return $resp;
}
function getBic(){
	// Not used, could be used to check for revoked certificates in the future
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_RETURNTRANSFER,1);
	curl_setopt($ch, CURLOPT_COOKIEFILE, "tmpcert/cookie2.txt");
	curl_setopt($ch, CURLOPT_URL,"https://comcert.getswish.net/cert-mgmt-web/rest/cert/bicList");
	curl_setopt($ch, CURLOPT_VERBOSE, true);
	// curl_setopt($ch, CURLOPT_STDERR, fopen('./curl2.log', 'w+'));

	$resp = curl_exec ($ch);

	if (curl_errno($ch)) {
    $error_msg = curl_error($ch);
    return false;
	}

	$json = json_decode($resp);
	if(!empty($json)){
		if(!empty($json[0])){
			return $json[0];
		}
	}
	curl_close ($ch);
	return false;
}
function countCerts($showList = false){
	$resp = listCerts();
	$json = json_decode($resp);
	if($showList == true){
		return $resp;
	}else{
		return count($json);
	}
}


function generateCsr(){
	$customerId = getCustomerId();
	$command = "openssl req -nodes -newkey rsa:4096 -keyout tmpcert/$customerId.key -out tmpcert/$customerId.csr -subj \"/C=SE/ST=SWEDEN/L=STOCKHOLM/O=KWIKK/OU=KWIKK/CN=KWIKK.SE\"";

	if (!file_exists('tmpcert')){ mkdir('tmpcert', 0777, true); }

	exec($command);
	if(file_exists("tmpcert/$customerId.key") && file_exists("tmpcert/$customerId.csr")){
		return true;
	}else{
		return false;
	}
}

function getCsr(){
	$customerId = getCustomerId();
	return file_get_contents("tmpcert/$customerId.csr");
}

function sendCsr(){
	$csr = getCsr();

	// echo ("<pre>$csr</pre>");

	$url = "https://comcert.getswish.net/cert-mgmt-web/rest/cert/requestNew/PEM/SWEDSESS";
	$postfields = http_build_query( array( "publicKey" => $csr ) );

	$ch = curl_init();
	curl_setopt($ch, CURLOPT_RETURNTRANSFER,1);
	curl_setopt($ch, CURLOPT_COOKIEFILE, "tmpcert/cookie2.txt");
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_POST, 1);
	curl_setopt($ch, CURLOPT_POSTFIELDS, $postfields);
	curl_setopt($ch, CURLOPT_VERBOSE, true);
	// curl_setopt($ch, CURLOPT_STDERR, fopen('./curl1.log', 'w+'));
	$response = curl_exec ($ch);

	if (curl_errno($ch)) {
    $error_msg = curl_error($ch);
    return false;
	}
	curl_close ($ch);


	$cid = getCustomerId();
	$responsefile = fopen("tmpcert/$cid.response", "w");

	$responseJson = json_decode($response);
	if(!empty($responseJson->certEncoded)){
		fwrite($responsefile, $responseJson->certEncoded);

		if(file_get_contents("tmpcert/$cid.response") == $responseJson->certEncoded){
			return true;
		}
	}
	return false;
}

function moveFiles(){
	$cid = getCustomerId();

	$fromPath = "tmpcert/$cid";   // tmpcert/xxx(.csr|.pem|.key)
	$toDir = 	  "../cert/$cid";	  // certs/10099
	$toPath =   "$toDir/$cid";    // certs/10099/10099(.csr|.pem|.key)

	if (!file_exists($toDir)){ mkdir($toDir, 0777, true); }
	rename("$fromPath.csr", "$toPath.csr");
	rename("$fromPath.response", "$toPath.pem");
	rename("$fromPath.key", "$toPath.key");
	copy("../cert/10001/10001_root.pem", $toPath . "_root.pem");

	// exec("mv tmpcert/" . $cid . ".csr ../cert/" . $cid . "/" . $cid . ".csr");
	// exec("mv tmpcert/" . $cid . ".response ../cert/" . $cid . "/" . $cid . ".pem");
	// exec("mv tmpcert/" . $cid . ".key ../cert/" . $cid . "/" . $cid . ".key");
	// exec("cp ../cert/10001/10001_root.pem ../cert/" . $cid . "/" . $cid . "_root.pem");

	if(  file_exists($toPath . ".csr")
		&& file_exists($toPath . ".pem")
		&& file_exists($toPath . ".key")
		&& file_exists($toPath . "_root.pem")
	){
		return true;
	}else{
		return false;
	}
}



if($_POST['action'] == 'swishCreateCert') {
	$debug = false;
	if($debug) echo "login started";

	if($_SESSION["swishCreateCertStatus"] == '{"status":"CREATING CERT"}'){
		if(createCertificates($debug) == false){
			$_SESSION["swishCreateCertStatus"] = '{"status":"CREATING CERT FAILED", "abort":true}';
			if($debug) echo "\n\n\ncreateCertificates FAILED!\n\n";
			return false;
		}
		if($debug) echo "\n\n\ncreateCertificates COMPLETE!\n\n";
		$_SESSION["swishCreateCertStatus"] = '{"status":"COMPLETED"}';
	}

	if($_SESSION["swishCreateCertStatus"] == ''){
		// $_SESSION["swishCreateCertStatus"] = '{"status":"STARTED"}';

		$_SESSION["swishCreateCertStatus"] = '{"status":"LOGGING IN"}';
		if(login($debug) == false){
			$_SESSION["swishCreateCertStatus"] = '{"status":"LOGIN FAILED", "abort":true}';
			if($debug) echo "\n\n\nlogin FAILED!\n\n";
			return false;
		}
		if($debug) echo "\n\n\nlogin COMPLETE!\n\n";
		$_SESSION["swishCreateCertStatus"] = '{"status":"CREATING CERT"}';
	}

	echo $_SESSION["swishCreateCertStatus"];


	// $_SESSION["swishCreateCertStatus"] = '{"status":"LOGGING OUT"}';
	// if(logout() == false){
	// 	$_SESSION["swishCreateCertStatus"] = '{"status":"LOGOUT FAILED", "abort":true}';
	// 	echo "\n\n\nlogout FAILED!\n\n";
	// 	return false;
	// }
	// echo "\n\n\nlogout COMPLETE!\n\n";

}

if($_POST['action'] == 'swishCreateCertStatus') {
	echo $_SESSION["swishCreateCertStatus"];
}

if($_POST['action'] == 'swishClearStatus') {
	$_SESSION["swishCreateCertStatus"] = "";
	echo "true";
}

if($_POST['action'] == 'swishCountCerts') {
	echo "Nr of certificates: " . countCerts();
}

if($_POST['action'] == 'swishShowCerts') {
	echo countCerts(true);
}
*/
?>
