<?php
//pulls all required and global information
include_once 'required.php';
//only load the page if someone is actually logged in

//only load page for actual users, ink superuser
if (!empty($global_user) && $global_user->user_id != '') {

$gamesClass = new Games();
$select_template = false;
$is_new = true;

if (!empty($_POST) && !empty($_POST['save']) && !empty($_POST['id'])) {
	$data = array();
	$data['type'] = $_POST['type'];
	$data['name'] = $_POST['name'];
	$data['note'] = $_POST['note'];
	$data['display_count'] = $_POST['display_count'];
	$data['display_resource_type'] = $_POST['display_resource_type'];
	$data['response_resource_type'] = $_POST['response_resource_type'];
	$data['difficulty'] = $_POST['difficulty'];
	if ($_POST['id'] == "new") {
		$games_id = $gamesClass->addGame($data);
		$_SESSION['splash'] = $_['game_created'];
		$_SESSION['splash_type'] = 'success';

	} else {
		$games_id = $_POST['id'];
		$data['id'] = $games_id;
		$gamesClass->updateGame($data);
		$_SESSION['splash'] = $_['game_updated'];
		$_SESSION['splash_type'] = 'success';
	}
	if ($_POST['tags_editted'] && !empty($games_id)) {
		$gamesClass->setTags($games_id, @$_POST['tags']);
	}
	header('Location: games');
	exit();
}

if (!empty($_GET['games_id'])) {
	$games_id = $_GET['games_id'];
} else {
	header('Location: games');
	exit();
}

if ($games_id == "new") {
	if (empty($_POST['create_from_template'])) {
		$select_template = true;
	} else {
		if (empty($_POST['template'])) {
			$select_template = true;
			$_SESSION['splash'] = $_['game_template_required'];
			$_SESSION['splash_type'] = 'error';
		} else {
			$cGame = new stdClass();
			switch ($_POST['template']) {
				 case "template_read_image_elfword":
			        $cGame->type = 3;
					$cGame->name = $_['game_new_read_game'];
					$cGame->display_count = 99;
					$cGame->display_resource_type = 5; //Images
					$cGame->response_resource_type = 2; //Written Elfdalian
			        break;

			    case "template_memory_image_elfword":
			        $cGame->type = 2;
					$cGame->name = $_['game_new_memory_game'];
					$cGame->display_count = 10;
					$cGame->display_resource_type = 5; //Images
					$cGame->response_resource_type = 2; //Written Elfdalian
			        break;
			    case "template_memory_svword_elfword":
			        $cGame->type = 2;
					$cGame->name = $_['game_new_memory_game'];
					$cGame->display_count = 10;
					$cGame->display_resource_type = 1; //Written Swedish
					$cGame->response_resource_type = 2; //Written Elfdalian
			        break;
				case "template_matching_elfsound_image":
			        $cGame->type = 1;
					$cGame->name = $_['game_new_matching_game'];
					$cGame->display_count = 6;
					$cGame->display_resource_type = 4; //Spoken Elfdalian
					$cGame->response_resource_type = 5; //Image
			        break;
				case "template_matching_elfsound_svword":
			        $cGame->type = 1;
					$cGame->name = $_['game_new_matching_game'];
					$cGame->display_count = 6;
					$cGame->display_resource_type = 4; //Spoken Elfdalian
					$cGame->response_resource_type = 1; //Written Swedish
			        break;
				case "template_matching_elfsound_image":
			        $cGame->type = 1;
					$cGame->name = $_['game_new_matching_game'];
					$cGame->display_count = 6;
					$cGame->display_resource_type = 3; //Spoken Swedish
					$cGame->response_resource_type = 2; //Written Elfdalian
			        break;
				default:
					$select_template = true;
					$_SESSION['splash'] = $_['game_template_invalid'];
					$_SESSION['splash_type'] = 'error';
					break;
			}
		}
	}
} else {
	$is_new = false;
	$cGame = $gamesClass->getGame($games_id);
}


if (empty($cGame->type) && !$select_template) {
	//game type not found error

	echo "<h1>REDIRECT 3</h1>";

	//header('Location: games');
	exit();
}
?>

<!-- END HEAD -->
<?php include 'templates/head.php'; ?>
<script src="https://cdn.jsdelivr.net/npm/vue"></script>

<style>
	abbr {
    background: black;
    color: white;
    font-weight: bold;
    display: inline-block;
    height: 1.5em;
    width: 1.5em;
    border: 1px solid black;
    border-radius: 5em;
    box-shadow: inset 0 0 0 1px white;
    text-align: center;
    opacity: .6;
    text-decoration: none;
    font-size: 0.9em;
    line-height: 1.6em;
    transition: all .3s;
	}
	abbr:hover {
		opacity: 1;
	}
</style>

<!-- BEGIN BODY -->
<body class="page-header-fixed">
	<?php include 'templates/header.php'; ?>
	<!-- BEGIN CONTAINER -->
	<div class="page-container">
		<?php include 'templates/navigation.php'; ?>
		<!-- END SIDEBAR -->
		<!-- BEGIN PAGE -->
		<div class="page-content" style="min-height:864px !important">
			<!-- BEGIN PAGE CONTAINER-->
			<div class="container-fluid">
				<!-- BEGIN PAGE HEADER-->
				<div class="row-fluid">

					<?php include 'templates/splash.php'; ?>

					<div>
						<!-- BEGIN PAGE TITLE & BREADCRUMB-->
						<ul class="breadcrumb">
							<li>
								<i class="icon-home"></i>
								<a href="index"><?php echo $_['global_home']; ?></a>
								<i class="icon-angle-right"></i>
							</li>
							<li>
								<a href="games"><?php echo $_['global_games']; ?></a>
								<i class="icon-angle-right"></i>
							</li>
							<li>
								<a href="#"><?php echo $_['global_game']." ".$games_id; ?></a>
							</li>
						</ul>
						<h3 class="page-title">
							<?php echo $_['game_page_title']; ?>
						</h3>
						<!-- END PAGE TITLE & BREADCRUMB-->
					</div>
				</div>
				<!-- END PAGE HEADER-->
				<!-- BEGIN PAGE CONTENT-->
				<div class="row-fluid">
					<div class="span12">
						<form id='game_form' action='<?php echo htmlspecialchars($_SERVER["PHP_SELF"]."?games_id=".$games_id); ?>' method='POST' onkeydown="return event.key != 'Enter';">
							<?php if ($select_template) { //Show a list of common game templates for the new game to be based on ?>
								<style>
									.inline-div input,
									.inline-div label {
										display: inline-block;
										margin-top: 3px;
										margin-bottom: 0px;
									}
									.controls.inline-div > .radio,
									.controls.inline-div > .checkbox {
									    margin-top: 0px !important;
									}
								</style>
								<div class="control-group">
									<label class="control-label"><?php echo $_['games_select_template']; ?></label>
									<div class="controls inline-div">

										<input type='radio' name="template" id="template_read_image_elfword" value="template_read_image_elfword"><label for="template_read_image_elfword"><?php echo $_['template_read_image_elfword']; ?></label><br>
										<br />
										<input type='radio' name="template" id="template_memory_image_elfword" value="template_memory_image_elfword"><label for="template_memory_image_elfword"><?php echo $_['template_memory_image_elfword']; ?></label><br>
										<input type='radio' name="template" id="template_memory_svword_elfword" value="template_memory_svword_elfword"><label for="template_memory_svword_elfword"><?php echo $_['template_memory_svword_elfword']; ?></label><br>
										<br>
										<input type='radio' name="template" id="template_matching_elfsound_image" value="template_matching_elfsound_image"><label for="template_matching_elfsound_image"><?php echo $_['template_matching_elfsound_image']; ?></label><br>
										<input type='radio' name="template" id="template_matching_elfsound_svword" value="template_matching_elfsound_svword"><label for="template_matching_elfsound_svword"><?php echo $_['template_matching_elfsound_svword']; ?></label><br>
										<input type='radio' name="template" id="template_matching_svsound_elfword" value="template_matching_svsound_elfword"><label for="template_matching_svsound_elfword"><?php echo $_['template_matching_svsound_elfword']; ?></label><br>
									</div>

									<div class="form-actions">
										<button type='submit' class='btn hovertheme' name='create_from_template' value=1 onclick='validateTemplate();'><i class="icon-save"></i>&nbsp;&nbsp;<?php echo $_['global_create']; ?></button>
									</div>
								</div>
								<script>
									function validateTemplate() {
										return true;
									}

									/*
									function validateTemplate() {
										var selected_value = $('.checked input[name="template"]').val();
										if (typeof selected_value != 'undefined') {
											return true;
										}
										alert("<php echo $_['game_template_required']; ?>");
										return false;
									}
									*/
								</script>
							<?php } else { //Show the general edit page ?>
								<div class="control-group">
									<label class="control-label"><?php echo $_['global_id']; ?></label>
									<div class="controls">
										<input type='text' value='<?php echo ($is_new)?$_['global_new']:$cGame->id; ?>' placeholder='' disabled/>
										<input type='hidden' name='id' id='id' value='<?php echo ($is_new)?'new':$cGame->id; ?>'>
										<input type='hidden' name='type' id='type' value='<?php echo $cGame->type; ?>'>
										<input type='hidden' name='tags_editted' id='tags_editted' value='0'>
									</div>
								</div>

								<div class="control-group">
									<label class="control-label"><?php echo $_['games_type']; ?></label>
									<div class="controls">
										<input type='text' value='<?php echo $gamesClass->getGameTypeName($cGame->type); ?>' placeholder='' disabled/>
									</div>
								</div>

								<div class="control-group">
									<label class="control-label"><?php echo $_['global_name']; ?></label>
									<div class="controls">
										<input type='text' name="name" value='<?php echo (!empty($cGame->name))?$cGame->name:''; ?>' placeholder=''/>
									</div>
								</div>

								<div class="control-group">
									<label class="control-label"><?php echo $_['global_note']; ?></label>
									<div class="controls">
										<textarea class='span6' name='note' id='note' rows="4" cols="50"><?php echo (!empty($cGame->note))?$cGame->note:''; ?></textarea>
									</div>
								</div>

								<style>
									.mid-split-div {
										width: 50%;
										padding: 5px;
									}

									@media only screen and (max-width: 600px) {
										.mid-split-div {
											width: 100%;
											padding: 0px;
										}
									}
								</style>

								<?php if ($cGame->type == 1) { //MATCHING ?>
									<div class="control-group">
										<div class='mid-split-div'>
											<h3><?php echo $_['game_display_section_title']; ?></h3>

											<label class="control-label"><?php echo $_['game_resource_type']; ?></label>
											<div class="controls">
												<select name='display_resource_type'>
													<?php
													//print "<br><h3>DEBUG</h3><br>";
													//print_r($gamesClass->getResourceTypes());
													//print "<br>";
													foreach ($gamesClass->getResourceTypes() as $rtype) { ?>
														<option value='<?php echo $rtype->id; ?>' <?php if ($cGame->display_resource_type == $rtype->id) {echo "selected";} ?>><?php echo $rtype->type_name; ?></option>
													<?php } ?>
												</select>
											</div>

											<label class="control-label"><?php echo $_['game_item_amount']; ?></label>
											<div class="controls">
												<input type="text" value="1" disabled>
											</div>
										</div>
										<div class='mid-split-div'>
											<h3><?php echo $_['game_response_section_title']; ?></h3>

											<label class="control-label"><?php echo $_['game_resource_type']; ?></label>
											<div class="controls">
												<select name='response_resource_type'>
													<?php foreach ($gamesClass->getResourceTypes() as $rtype) { ?>
														<option value='<?php echo $rtype->id; ?>' <?php if ($cGame->response_resource_type == $rtype->id) {echo "selected";} ?>><?php echo $rtype->type_name; ?></option>
													<?php } ?>
												</select>
											</div>

											<label class="control-label"><?php echo $_['game_item_amount']; ?></label>
											<div class="controls">
												<input type="text" name="display_count" value="<?php echo $cGame->display_count; ?>">
											</div>
										</div>
									</div>
								<?php } elseif ($cGame->type == 2) { //MEMORY ?>
									<div class="control-group">
										<label class="control-label"><?php echo $_['game_resource_type']; ?></label>
										<div class="controls">
											<select name='display_resource_type' style="display: inline-block;">
												<?php
												//print "<br><h3>DEBUG</h3><br>";
												//print_r($gamesClass->getResourceTypes());
												//print "<br>";
												foreach ($gamesClass->getResourceTypes() as $rtype) { ?>
													<option value='<?php echo $rtype->id; ?>' <?php if ($cGame->display_resource_type == $rtype->id) {echo "selected";} ?>><?php echo $rtype->type_name; ?></option>
												<?php } ?>
											</select>&nbsp;&nbsp;&nbsp;
											<select name='response_resource_type' style="display: inline-block;">
												<?php foreach ($gamesClass->getResourceTypes() as $rtype) { ?>
													<option value='<?php echo $rtype->id; ?>' <?php if ($cGame->response_resource_type == $rtype->id) {echo "selected";} ?>><?php echo $rtype->type_name; ?></option>
												<?php } ?>
											</select>
										</div>

										<label class="control-label"><?php echo $_['game_item_amount']; ?></label>
										<div class="controls">
											<input type="text" name="display_count" value="<?php echo $cGame->display_count; ?>">
										</div>
									</div>
								<?php } elseif ($cGame->type == 3) { //READ ?>
									<div class="control-group">
										<label class="control-label"><?php echo $_['game_resource_type']; ?></label>
										<div class="controls">
											<select name='display_resource_type' style="display: inline-block;">
												<?php
												//print "<br><h3>DEBUG</h3><br>";
												//print_r($gamesClass->getResourceTypes());
												//print "<br>";
												foreach ($gamesClass->getResourceTypes() as $rtype) { ?>
													<option value='<?php echo $rtype->id; ?>' <?php if ($cGame->display_resource_type != $rtype->id) {echo "disabled";} else {echo "selected";} ?>><?php echo $rtype->type_name; ?></option>
												<?php } ?>
											</select>&nbsp;&nbsp;&nbsp;
											<select name='response_resource_type' style="display: inline-block;">
												<?php foreach ($gamesClass->getResourceTypes() as $rtype) { ?>
													<option value='<?php echo $rtype->id; ?>' <?php if ($cGame->response_resource_type != $rtype->id) {echo "disabled";} else {echo "selected";} ?>><?php echo $rtype->type_name; ?></option>
												<?php } ?>
											</select>
										</div>

										<label class="control-label"><?php echo $_['game_item_amount']; ?></label>
										<div class="controls">
											<input type="text" name="display_count" value="<?php echo $cGame->display_count; ?>">
										</div>
									</div>
								<?php } ?>

								<label class="control-label"><?php echo $_['game_difficulty']; ?></label>
								<div class="controls">
									<select name='difficulty'>
										<?php
										$difficulty = array(
											'Lätt' => 'Lätt',
											'Medel' => 'Medel',
											'Svår' => 'Svår',
										);
										foreach ($difficulty as $diff => $text) { ?>
											<option value='<?php echo $diff; ?>' <?php if (!empty($cGame->difficulty) && $cGame->difficulty == $diff) {echo "selected";} ?>><?php echo $text; ?></option>
										<?php } ?>
									</select>
								</div>

								<div class="control-group">
									<label class="control-label"><?php echo $_['game_add_tags']; ?></label>
									<table class="table table-striped table-bordered table-hover">
										<thead>
											<tr>
												<th style="width:50%"><?php echo $_['game_filter_tags']; ?></th>
												<th style="width:50%"><?php echo $_['game_select_tags']; ?></th>
											</tr>
											<tr>
												<th><input id='search_tag_text' name='search_tag_text' type='text' value='' oninput='fillTagSearch()'></th>
												<th><span id='search_tag_container'><select id='searchTag' name='searchTag'><option value='' selected></option></select></span></th>
											</tr>
										</thead>
									</table>
									<script>
										$('document').ready(function(){fillTagSearch();});

										function fillTagSearch() {
											var searchtaginput = ''+$('#search_tag_text').val();
											var excluded_ids = "";
											$(".tag_row").each(function() {
												if (excluded_ids != "") {
													excluded_ids = excluded_ids + " ";
												}
												excluded_ids = excluded_ids + $(this).attr('tags_id');
											});

											$.ajax({
												url: 'ajax.php',
										    	method: 'POST',
												data: { action : 'return_tag_search', searchterm : searchtaginput, exclude: excluded_ids},
											})
											.done(function( msg ) {
												$('#search_tag_container').html(msg);
												$('#searchTag').change(function() {
													addTagToTable();
												});
											});
										}

										function addTagToTable() {
											if ($("#searchTag").val() > 0) {
												var tags_id = $("#searchTag").val();
												$('#search_tag_container').html("<select id='searchTag' name='searchTag'><option value='' selected></option></select>");
												if ($("#tag_row_"+tags_id).length == 0) {
													$.ajax({
														url: 'ajax.php',
												    	method: 'POST',
														data: { action : 'add_tag_row', tags_id: tags_id},
													})
													.done(function( msg ) {
														$('#tags_table tr:first').after(msg);
														$('#tags_editted').val(1);
														fillTagSearch();
													});
												}
											}
										}

										function removeTagRow(tags_id) {
											$('#tag_row_'+tags_id).remove();
											$('#tags_editted').val(1);
										}
									</script>
								</div>

								<div class="control-group">
									<label class="control-label"><?php echo $_['tags_tags']; ?></label>
									<table class="table table-striped table-bordered table-hover" id="tags_table">
										<tbody>
											<tr>
												<td><?php echo $_['global_id']; ?></td>
												<td><?php echo $_['tag_tag']; ?></td>
												<td><?php echo $_['games_resource_count']; ?></td>
												<td></td>
											</tr>
											<?php
											if (!empty($cGame->id)) {
												echo $gamesClass->fillTagRows($cGame->id);
											}
											?>
										</tbody>
									</table>
								</div>

								<div class="form-actions">
									<button type='submit' class='btn hovertheme' name='save' value=1><i class="icon-save"></i>&nbsp;&nbsp;<?php echo $_['global_save']; ?></button>
								</div>
							<?php } ?>
						</form>
					</div>
				</div>
				<!-- END PAGE CONTENT -->
			</div>
			<!-- END PAGE CONTAINER-->
		</div>
		<!-- END PAGE -->
	</div>
	<!-- END CONTAINER -->
	<?php include 'templates/footer.php'; ?>

<?php
//close the page load user check
} else {
	header('Location: login');
}
?>
