<?php

//global texts
$_['global_company_name'] = 'Willumog';
$_['global_control_panel'] = 'Administration';
$_['global_dashboard'] = 'Home';
$_['global_resources'] = "Resources";
$_['global_resource'] = "Resource";
$_['global_new'] = "New";
$_['global_edit'] = 'Edit';
$_['global_student'] = "Student";
$_['global_students'] = "Students";
$_['global_admin'] = "Admin";
$_['global_admins'] = "Admins";
$_['global_teacher'] = "Teacher";
$_['global_teachers'] = "Teachers";
$_['global_developer'] = "Developer";
$_['global_developers'] = "Developers";
$_['global_accounts'] = "Accounts";
$_['global_account'] = "Account";
$_['global_showing'] = "Showing";
$_['global_page_to'] = "to";
$_['global_of'] = "of";
$_['global_previous'] = "Back";
$_['global_next'] = "Next";
$_['global_search'] = "Search";
$_['global_my_profile'] = 'My profile';
$_['global_log_out'] = 'Log out';
$_['global_login_page'] = 'Login';
$_['global_id'] = 'ID';
$_['global_name'] = 'Name';
$_['global_note'] = 'Notes';
$_['global_delete'] = 'Delete';
$_['global_user_level'] = 'User level';
$_['global_yes'] = "Yes";
$_['global_no'] = "No";
$_['global_alias'] = "Screen Name";
$_['global_preferred_language'] = "Preferred Language";
$_['global_swedish'] = 'Svenska';
$_['global_english'] = 'English';
$_['global_home'] = 'Home';
$_['global_first_name'] = "First Name";
$_['global_last_name'] = "Last Name";
$_['global_email'] = "Email";
$_['global_save'] = 'Save';
$_['global_image'] = "Image";
$_['global_categories'] = "Categories";

//users
$_['users_title'] = "Manage Accounts";
$_['users_delete_confirm'] = "Are you sure you want to disable the account of "; //.$c_user->user_id." - ".$c_user->name."?"
$_['users_deleted'] = "Account successfully deactivated.";
$_['users_active_user'] = "Active Account";
$_['users_inactive_user'] = "Disabled Account";

$_['user_page_title'] = "Manage Account";
$_['user_allow_student_changes'] = "Allow account changes by the student?";
$_['user_missing_required_fields'] = "Accounts must have either a screen name or email address";
$_['user_created'] = "New Account Successfully Created.";
$_['user_updated'] = "Account Details Successfully Updated.";
$_['user_permissions_denied'] = "You do not have the permission level required to make these changes.";
$_['user_new_user'] = "New Account";
$_['user_update_password'] = "Update Password";
$_['user_note_box'] = "User Notes";
$_['user_new_account'] = "New Account";

//resources
$_['resources_deleted'] = "Resource successfully removed";
$_['resources_title'] = "Search Resources";
$_['resources_swedish_word'] = "Word in swedish";
$_['resources_elfdalian_word'] = "Word in elfdalian";
$_['resources_delete_confirm'] = "Are you sure you want to remove resource ";
$_['resources_swedish_sound_file'] = "Sound clip - swedish";
$_['resources_elfdalian_sound_file'] = "Sound clip - elfdalian";

$_['resource_created'] = "Resource successfully created.";
$_['resource_updated'] = "Resource successfully updated.";
$_['resource_page_title'] = "Resource Details";

$_['tags_title'] = 'Categories';
$_['tags_view'] = 'Edit';
$_['tags_open_link'] = 'Open Link';
$_['tags_delete'] = 'Delete';
$_['tags_new'] = 'New Category';
$_['tags_id'] = 'ID';
$_['tags_showing'] = 'Showing';
$_['tags_page_to'] = ' to ';
$_['tags_of'] = 'of';
$_['tags_type'] = 'Type';
$_['tags_tag'] = 'Category';
$_['tags_tags'] = 'Categories';
$_['tags_deleted'] = 'Category Removed';

$_['tag_title'] = 'Category';
$_['tag_page_title'] = 'Category';
$_['tag_tag'] = 'Category';
$_['tag_tag_help'] = 'The name of your category';
$_['tag_desc'] = 'Description';
$_['tag_desc_help'] = 'A short description for your category that will be displayed on the category page.';
$_['tag_seo_url'] = 'URL';
$_['tag_seo_url_help'] = 'The address the page should be visible on (URL)';
$_['tag_custom_code'] = 'Custom Code (CSS/JS)';
$_['tag_custom_code_help'] = 'Add your own code, such as CSS, to adjust the appearance of the label page.';
$_['tag_desc_placeholder'] = 'Put a description for items in the category here.';
$_['tag_created'] = 'Category created';
$_['tag_updated'] = 'Category updated';
$_['tag_seo_url_taken'] = 'The URL you entered is already taken, please use another.';

$_['settings_on'] = 'On';
$_['settings_off'] = 'Off';

$_['tag_active'] = 'Active';
$_['tag_active_help'] = 'Select whether or not to display the tag.';

$_['games_title'] = "Games";
$_['global_creator'] = "Creator";
$_['global_games'] = "Games";
$_['global_game'] = "Game";
$_['games_type'] = "Game Type";
$_['game_page_title'] = "Customize This Game";
$_['game_display_section_title'] = "Questions";
$_['game_response_section_title'] = "Answers";
$_['game_resource_type'] = "Resource Type";
$_['game_item_amount'] = "Number of Shown Items";
$_['game_add_tags'] = "Search For and Add Categories";
$_['game_filter_tags'] = "Filter For Categories By Name";
$_['game_select_tags'] = "Add Category";
$_['games_resource_count'] = "Number of Resources";
$_['game_created'] = "Game Created";
$_['game_updated'] = "Game Updated";

$_['template_memory_image_elfword'] = "Memory - Match Elfdalian Words to Images";
$_['template_memory_svword_elfword'] = "Memory - Match Elfdalian Words to Swedish Words";
$_['template_matching_elfsound_image'] = "Matching - Match A Spoken Elfdalian Word to Images";
$_['template_matching_elfsound_svword'] = "Matching - Match A Spoken Elfdalian Word to Written Swedish Words";
$_['template_matching_svsound_elfword'] = "Matching - Match A Spoken Swedish Word to Written Elfdalian Words";
$_['game_new_memory_game'] = "New Memory Game";
$_['game_new_matching_game'] = "New Matching Game";
$_['games_deleted'] = "Game Removed";
$_['games_deleted_failure_game_not_found'] = "Game not removed - ID not found.";
$_['games_deleted_failure_permissions'] = "Game not removed - Insufficient permissions";
$_['global_create'] = "Create";
$_['games_select_template'] = "Choose a game type to create:";
$_['game_template_required'] = "Select a template to create a new game.";
$_['game_template_invalid'] = "Selected template not recognised.";
