<!--BEGIN SIDEBAR OPEN BUTTON-->
<div class="fixed-nav-button">
	<a href="javascript:;" class="btn-navbar collapsed" data-toggle="collapse" data-target=".nav-collapse">
		<img src="assets/img/menu-toggler.png" alt="" style="width:40px; height:40px;" />
	</a>
</div>

<!-- BEGIN SIDEBAR -->
<div class="page-sidebar nav-collapse collapse">
	<!-- BEGIN SIDEBAR MENU -->
	<div class='brand-container'>
		<a class="brand" href="index">
			<img src="img/logo-small.png" alt="logo" />
		</a>
	</div>	
	<ul class="page-sidebar-menu">
		<li class="start <?php echo (strpos($_SERVER['REQUEST_URI'],'/index'))? 'active' : ''; ?>">
			<a href="index">
			<i class="icon-home" aria-hidden="true" style="text-align: center; width: 20px;"></i>
			<span class="title"><?php echo $_['global_dashboard']; ?></span>
			</a>
		</li>
		<li class="start 
			<?php echo (strpos($_SERVER['REQUEST_URI'],'/resources'))? 'active' : ''; ?>
			<?php echo (strpos($_SERVER['REQUEST_URI'],'/resource'))? 'active' : ''; ?>
		">
			<a href="resources">
			<i class="fa fa-star" aria-hidden="true" style="text-align: center; width: 20px;"></i>
			<span class="title"><?php echo $_['global_resources']; ?></span>
			</a>
		</li>
		<li class="start 
			<?php echo (strpos($_SERVER['REQUEST_URI'],'/tags'))? 'active' : ''; ?>
			<?php echo (strpos($_SERVER['REQUEST_URI'],'/tag'))? 'active' : ''; ?>
		">
			<a href="tags">
			<i class="fa fa-tags" aria-hidden="true" style="text-align: center; width: 20px;"></i>
			<span class="title"><?php echo $_['global_categories']; ?></span>
			</a>
		</li>
		<li class="start 
			<?php echo (strpos($_SERVER['REQUEST_URI'],'/games'))? 'active' : ''; ?>
			<?php echo (strpos($_SERVER['REQUEST_URI'],'/game'))? 'active' : ''; ?>
		">
			<a href="games">
			<i class="fa fa-gamepad" aria-hidden="true" style="text-align: center; width: 20px;"></i>
			<span class="title"><?php echo $_['global_games']; ?></span>
			</a>
		</li>
		<?php if ($global_user->user_level < 10) { ?>
			<li class="start 
				<?php echo (strpos($_SERVER['REQUEST_URI'],'/users'))? 'active' : ''; ?>
				<?php echo (strpos($_SERVER['REQUEST_URI'],'/user'))? 'active' : ''; ?>
			">
				<a href="users">
				<i class="fa fa-user" aria-hidden="true" style="text-align: center; width: 20px;"></i> 
				<span class="title"><?php echo $_['global_accounts']; ?></span>
				</a>
			</li>
		<?php } ?>
		
		<li class="start 
			<?php echo (strpos($_SERVER['REQUEST_URI'],'/lessons'))? 'active' : ''; ?>
		">
			<a href="lessons">
			<i class="fa fa-tags" aria-hidden="true" style="text-align: center; width: 20px;"></i>
			<span class="title"><?php echo $_['global_lessons']; ?></span>
			</a>
		</li>
		
		<li class="start 
			<?php echo (strpos($_SERVER['REQUEST_URI'],'/lessontags'))? 'active' : ''; ?>
			<?php echo (strpos($_SERVER['REQUEST_URI'],'/lessontag'))? 'active' : ''; ?>
		">
			<a href="lessontags">
			<i class="fa fa-tags" aria-hidden="true" style="text-align: center; width: 20px;"></i>
			<span class="title"><?php echo $_['global_lesson_categories']; ?></span>
			</a>
		</li>
		
		<li class="start"><a href="user?user_id=<?php echo $global_user->user_id; ?>"><i class="icon-user"></i>&nbsp;<span class="title"><?php echo $_['global_my_profile']; ?></span></a></li>
		<li class="start"><a href="logout"><i class="icon-key"></i>&nbsp;<span class="title"><?php echo $_['global_log_out']; ?></span></a></li>
	</ul>
	
	<div class="menu-offset-after"></div>
</div>