<?php
	error_reporting(E_ALL); ini_set('display_errors', TRUE); ini_set('display_startup_errors', TRUE);
	header('Access-Control-Allow-Origin: *');

	include(__DIR__.'/admin/required.php');

	$games = new Games();
	$lesson = new Lesson(1);

	if(isset($_GET['getGames'])) {
		$argData = array('sort' => 'name', 'order' => 'ASC');
		$games_list = $games->getGames($argData);
		echo json_encode($games_list);
		return;
	}

	if(isset($_GET['getLessons'])) {
		$argData = array('sort' => 'title', 'order' => 'ASC');
		$lessons_list = $lesson->get($argData);

		$doc = new DOMDocument();
		$internalErrors = libxml_use_internal_errors(true);
		foreach ( $lessons_list as &$item ) {
			if(!empty( $item->video_link)) {
				$item->video_link_orig = $item->video_link;
				if(strpos( $item->video_link, '<iframe') > -1) {
					//echo '-'.htmlspecialchars_decode( $item->video_link).' ';
					$doc->loadHTML( $item->video_link );
					$iframe           = $doc->getElementsByTagName( 'iframe' );

					$item->video_link = $iframe[0]->getAttribute( 'src' );
				}  else {
					if(preg_match( '/facebook\.com\/[0-9]+\/videos/', $item->video_link)) {
					//if(strpos($item->video_link,'videos') > -1) {
						//echo 'MATCH';
						$item->video_link = 'https://www.facebook.com/plugins/video.php?height=322&href=' . $item->video_link . '&show_text=false&width=560&t=0';
					}
				}
			}
		}
		//die();
		echo json_encode($lessons_list);
		return;
	}

	if(isset($_GET['getType']) && isset($_GET['getDifficulty'])) {
		$filter['filter_difficulty'] = $_GET['getDifficulty'];
		$filter['filter_type'] = $_GET['getType'];
		$games_list = $games->getGames($filter);
		echo json_encode($games_list);
		return;
	}

	if(isset($_GET['getDifficulty'])) {
		$filter['filter_difficulty'] = $_GET['getDifficulty'];
		$games_list = $games->getGames($filter);
		echo json_encode($games_list);
		return;
	}

	if(isset($_GET['getType'])) {
		$filter['filter_type'] = $_GET['getType'];
		$games_list = $games->getGames($filter);
		echo json_encode($games_list);
		return;
	}

	if(isset($_GET['getGame'])) {
		$game = $games->getGame($_GET['getGame']);

		/**
		 * Matchning måste hämta fler resurser eftersom "display_count" syftar på hur många kort ska visas i frontend, så flyttar "limiten" till frontend
		 */
		$resources = $games->getResources($game->id, $game->type == 1 ? 999 : $game->display_count); // comment above
		$game->resources = $resources;
		echo json_encode($game);
		return;
	}

?>
