<?php
	class Helper extends Application {
		public function formatCurrency($value) {
			$return = number_format($value, 2);
			return $return;
		}
		
		public function recurseCopy($src,$dst) { 
		    $dir = opendir($src); 
		    @mkdir($dst); 
		    while(false !== ( $file = readdir($dir)) ) { 
		        if (( $file != '.' ) && ( $file != '..' )) { 
		            if ( is_dir($src . '/' . $file) ) { 
		                $this->recurseCopy($src . '/' . $file,$dst . '/' . $file); 
		            } 
		            else { 
		                copy($src . '/' . $file,$dst . '/' . $file); 
		            } 
		        } 
		    } 
		    closedir($dir); 
		}
		function generateSeoURL($string, $wordLimit = 10){
		    $separator = '-';
		    
		    if($wordLimit != 0){
		        $wordArr = explode(' ', $string);
		        $string = implode(' ', array_slice($wordArr, 0, $wordLimit));
		    }
		
		    $quoteSeparator = preg_quote($separator, '#');
		
		    $trans = array(
		        '&.+?;'                    => '',
		        '[^\w\d _-]'            => '',
		        '\s+'                    => $separator,
		        '('.$quoteSeparator.')+'=> $separator
		    );
		
		    $string = strip_tags($string);
		    foreach ($trans as $key => $val){
		        $string = preg_replace('#'.$key.'#i'.(true ? 'u' : ''), $val, $string);
		    }
		
		    $string = strtolower($string);
		
		    return trim(trim($string, $separator));
		}
	}
	
