<?php 

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

//pulls all required and global information
include_once 'required.php';
//only load the page if someone is actually logged in
//load start session for storage
if (!empty($global_user) && $global_user->user_id != '') {
		
	//$settings_object = new Settings($global_user->user_id);	
		
	if(isset($_GET['id']) && $global_user->user_level < 5) {
		$user = new User($_GET['id']);
		$stripe_user = 	new User_stripe($_GET['id']);
		if(isset($_GET['login']) && $_GET['login'] == 1) {
			$global_user = $user;
			$_SESSION['user_email'] = $user->user_email;
			$_SESSION['splash'] = $_['settings_logged_in_as'];
			$_SESSION['splash_type'] = 'success';
		}
	} 		
?>

<!-- END HEAD -->
<?php
	include 'templates/head.php';
?>

<!-- BEGIN BODY -->
<body class="page-header-fixed"> 
	<?php
		include 'templates/header.php';
	?>
	<!-- BEGIN CONTAINER -->
	<div class="page-container">
		<?php
			include 'templates/navigation.php';
		?>
		<!-- END SIDEBAR -->
		<!-- BEGIN PAGE -->
		<div class="page-content">
			<!-- BEGIN PAGE CONTAINER-->
			<div class="banner-container">
				<img src="img/igirsowidn.jpg" style="">
			</div>
			<div class="container-fluid">
				
				<?php include 'templates/splash.php'; ?>
				
				<!-- BEGIN PAGE HEADER-->
				<!--
				<div class="row-fluid">
					<div class="span12">
						<!-- BEGIN PAGE TITLE & BREADCRUMB--
						<ul class="breadcrumb">
							<li>
								<i class="icon-home"></i>
								<a href="index"><?php echo $_['global_dashboard']; ?></a> 
							</li>
							<li class="pull-right no-text-shadow">
								<div id="dashboard-report-range" class="dashboard-date-range tooltips no-tooltip-on-touch-device responsive" data-tablet="" data-desktop="tooltips" data-placement="top" data-original-title="Change dashboard date range">
									<i class="icon-calendar"></i>
									<span></span>
									<i class="icon-angle-down"></i>
								</div>
							</li>
						</ul>
						<h3 class="page-title">
							<?php $_['global_dashboard']; ?>
						</h3>
						<!-- END PAGE TITLE & BREADCRUMB--
					</div>
				</div>
				-->
				<!-- END PAGE HEADER-->
				<div id="dashboard">
					<h2>Wilum og Bellum resursportal och utbildningsplattform</h2>
				</div>
			</div>
			<!-- END PAGE CONTAINER-->    
		</div>
		<!-- END PAGE -->
	</div>
	<!-- END CONTAINER -->
	
<?php include 'templates/footer.php'; ?>

<?php 
//close the page load user check
} else {
	header('Location:login');
} 

?>