<?php

//global texts
$_['global_company_name'] = 'WilumOgBellum';
$_['global_control_panel'] = 'Administration';
$_['global_dashboard'] = 'Hem';
$_['global_resources'] = "Resurser";
$_['global_resource'] = "Resurs";
$_['global_new'] = "Ny";
$_['global_edit'] = 'Ändra';
$_['global_student'] = "Elev";
$_['global_students'] = "Elever";
$_['global_admin'] = "Admin";
$_['global_admins'] = "Admins";
$_['global_teacher'] = "Lärare";
$_['global_teachers'] = "Lärare";
$_['global_developer'] = "Utvecklare";
$_['global_developers'] = "Utvecklare";
$_['global_accounts'] = "Konton";
$_['global_account'] = "Konto";
$_['global_showing'] = "Visar";
$_['global_page_to'] = "till";
$_['global_of'] = "av";
$_['global_previous'] = "tillbaka";
$_['global_next'] = "Nästa";
$_['global_search'] = "Sök";
$_['global_my_profile'] = 'Min profil';
$_['global_log_out'] = 'Logga ut';
$_['global_login_page'] = 'Logga in';
$_['global_id'] = 'ID';
$_['global_name'] = 'Namn';
$_['global_note'] = 'Anteckningar';
$_['global_delete'] = 'Ta bort';
$_['global_user_level'] = 'Användarnivå';
$_['global_yes'] = "Ja";
$_['global_no'] = "Nej";
$_['global_alias'] = "Alias";
$_['global_preferred_language'] = "Språk";
$_['global_swedish'] = 'Svenska';
$_['global_english'] = 'English';
$_['global_home'] = 'Hem';
$_['global_first_name'] = "Förnamn";
$_['global_last_name'] = "Efternamn";
$_['global_email'] = "E-post";
$_['global_save'] = 'Spara';
$_['global_image'] = "Bild";
$_['global_lessons'] = "Lektioner";
$_['global_lesson_categories'] = "Lektionstaggar";
$_['global_categories'] = "Kategorier";


//login texts
$_['login_login_to_account'] = 'Logga in till administration';
$_['login_remember_me'] = 'Kom ihåg mig';
$_['login_login'] = 'Logga in';
$_['login_enter_any_user_or_pass'] = 'Skriv in användarnamn och lösenord.';
$_['login_wrong_password'] = 'Fel lösenord.';
$_['login_no_user'] = 'Hittade ingen användare med det användarnamnet/e-postadressen.';
$_['login_disabled'] = 'Detta konto är avstängt, vänligen kontakta kundtjänst.';
$_['login_captcha_fail'] = 'Captcha misslyckades.';
$_['login_forgot_password'] = 'Glömt ditt lösenord?';
$_['login_no_worries'] = '';
$_['login_here'] = '<b>Tryck här</b>';
$_['login_new_password'] = ' för att skapa ett nytt lösenord!';

$_['email'] = 'E-post eller Alias';
$_['password'] = 'Lösenord';

//users
$_['users_title'] = "Hantera konton";
$_['users_delete_confirm'] = "Vill du verklingen stänga av kontot";
$_['users_deleted'] = "Kontot har avaktiverats.";
$_['users_active_user'] = "Aktivera konto";
$_['users_inactive_user'] = "Avaktivera konto";

$_['user_page_title'] = "Hantera konton";
$_['user_allow_student_changes'] = "Tillåt kontoändringar av elever?";
$_['user_missing_required_fields'] = "Konton måste ha en alias eller en e-postadress";
$_['user_created'] = "Nytt konto har skapats";
$_['user_updated'] = "Kontot har uppdaterats";
$_['user_permissions_denied'] = "Du har inte behörighet att ändra på denna information.";
$_['user_new_user'] = "Nytt konto";
$_['user_update_password'] = "Uppdatera lösenord";
$_['user_note_box'] = "Anteckningar";
$_['user_new_account'] = "Nytt konto";

//resources
$_['resources_deleted'] = "Resursen har tagits bort";
$_['resources_title'] = "Sök resurser";
$_['resources_swedish_word'] = "Ord på Svenska";
$_['resources_elfdalian_word'] = "Ord på Älvdalska";
$_['resources_delete_confirm'] = "Vill du verkligen ta bort denna resurs?";
$_['resources_swedish_sound_file'] = "Ljudklipp - Svenska";
$_['resources_elfdalian_sound_file'] = "Ljudklipp- Älvdalska";

$_['resource_created'] = "Resurs skapad";
$_['resource_updated'] = "Resurs uppdaterad";
$_['resource_page_title'] = "Resursinformation";

$_['tags_title'] = 'Kategori';
$_['tags_view'] = 'Ändra';
$_['tags_open_link'] = 'Öppna länken';
$_['tags_delete'] = 'Ta bort';
$_['tags_new'] = 'Ny kategori';
$_['tags_id'] = 'ID';
$_['tags_showing'] = 'Visar';
$_['tags_page_to'] = ' till ';
$_['tags_of'] = 'av';
$_['tags_type'] = 'Typ';
$_['tags_tag'] = 'Kategori';
$_['tags_tags'] = 'kategorier';
$_['tags_deleted'] = 'Kategori borttagen';
$_['tags_difficulty'] = 'Svårighetsgrad';
$_['tags_next'] = "Nästa";
$_['tags_previous'] = "Tidigare";

$_['tag_title'] = 'Kategori';
$_['tag_page_title'] = 'Kategori';
$_['tag_tag'] = 'Kategori';
$_['tag_tag_help'] = 'Namnet på din kategori';
$_['tag_desc'] = 'Beskrivning';
$_['tag_desc_help'] = 'Beskrivning du vill visa på kategori-sidan';
$_['tag_seo_url'] = 'Webbadress';
$_['tag_seo_url_help'] = 'Adressen sidan ska synas på (URL)';
$_['tag_custom_code'] = 'Egen kod (CSS/JS)';
$_['tag_custom_code_help'] = 'Lägg till din egen kod, som t ex CSS för att justera utseendet på etikett-sidan';
$_['tag_desc_placeholder'] = 'Sätt en beskrivande text för produkterna ';
$_['tag_created'] = 'Kategori skapad';
$_['tag_updated'] = 'Kategori uppdaterat';
$_['tag_seo_url_taken'] = 'Den URL du skrivit in är redan upptagen, var god använd en annan.';
$_['tag_difficulty'] = 'Svårighetsgrad';
$_['tag_difficulty_help'] = 'Svårighetsgrad på denna grupp';
$_['tag_difficulty_daycare'] = 'Dagis';
$_['tag_difficulty_preschool'] = 'Förskola';
$_['tag_difficulty_year12'] = 'Skola årskurs 1-2';


$_['lesson_tags_title'] = 'Lektionstag';
$_['lesson_tags_view'] = 'Ändra';
$_['lesson_tags_open_link'] = 'Öppna länken';
$_['lesson_tags_delete'] = 'Ta bort';
$_['lesson_tags_new'] = 'Ny tag';
$_['lesson_tags_id'] = 'ID';
$_['lesson_tags_showing'] = 'Visar';
$_['lesson_tags_page_to'] = ' till ';
$_['lesson_tags_of'] = 'av';
$_['lesson_tags_type'] = 'Typ';
$_['lesson_tags_tag'] = 'Tag';
$_['lesson_tags_tags'] = 'Taggar';
$_['lesson_tags_deleted'] = 'Tag borttagen';
$_['lesson_tags_difficulty'] = 'Svårighetsgrad';
$_['lesson_tags_next'] = "Nästa";
$_['lesson_tags_previous'] = "Tidigare";

$_['lesson_tag_title'] = 'Tag';
$_['lesson_tag_page_title'] = 'Tag';
$_['lesson_tag_tag'] = 'Tag';
$_['lesson_tag_lesson_tag_help'] = 'Namnet på din tag';
$_['lesson_tag_desc'] = 'Beskrivning';
$_['lesson_tag_desc_help'] = 'Beskrivning du vill visa på tag';
$_['lesson_tag_seo_url'] = 'Webbadress';
$_['lesson_tag_seo_url_help'] = 'Adressen sidan ska synas på (URL)';
$_['lesson_tag_custom_code'] = 'Egen kod (CSS/JS)';
$_['lesson_tag_custom_code_help'] = 'Lägg till din egen kod, som t ex CSS för att justera utseendet på etikett-sidan';
$_['lesson_tag_desc_placeholder'] = 'Sätt en beskrivande text för produkterna ';
$_['lesson_tag_created'] = 'Tag skapad';
$_['lesson_tag_updated'] = 'Tag uppdaterat';
$_['lesson_tag_seo_url_taken'] = 'Den URL du skrivit in är redan upptagen, var god använd en annan.';
$_['lesson_tag_difficulty'] = 'Svårighetsgrad';
$_['lesson_tag_difficulty_help'] = 'Svårighetsgrad på denna grupp';
$_['lesson_tag_difficulty_daycare'] = 'Dagis';
$_['lesson_tag_difficulty_preschool'] = 'Förskola';
$_['lesson_tag_difficulty_year12'] = 'Skola årskurs 1-2';
$_['lesson_tag_active'] = 'Aktiv';
$_['lesson_tag_active_help'] = 'Ska denna finnas som ett alternativ under lektioner';


$_['lessons_title'] = 'Lektioner';
$_['lessons_view'] = 'Ändra';
$_['lessons_open_link'] = 'Öppna länken';
$_['lessons_delete'] = 'Ta bort';
$_['lessons_new'] = 'Ny lektion';
$_['lessons_id'] = 'ID';
$_['lessons_showing'] = 'Visar';
$_['lessons_page_to'] = ' till ';
$_['lessons_of'] = 'av';
$_['lessons_type'] = 'Typ';
$_['lessons_tag'] = 'Lektion';
$_['lessons_tags'] = 'Lektioner';
$_['lessons_deleted'] = 'Lektion borttagen';
$_['lessons_difficulty'] = 'Svårighetsgrad';
$_['lessons_next'] = "Nästa";
$_['lessons_previous'] = "Tidigare";

$_['lesson_title'] = 'Title';
$_['lesson_title_help'] = 'Titlen på lektionen';
$_['lesson_page_title'] = 'Lektion';
$_['lesson_tag'] = 'Lektion';
$_['lesson_lesson_help'] = 'Namnet på din Lektion';
$_['lesson_desc'] = 'Beskrivning';
$_['lesson_desc_help'] = 'Beskrivning du vill visa på lektionen';
$_['lesson_seo_url'] = 'Webbadress';
$_['lesson_seo_url_help'] = 'Adressen sidan ska synas på (URL)';
$_['lesson_custom_code'] = 'Egen kod (CSS/JS)';
$_['lesson_custom_code_help'] = 'Lägg till din egen kod, som t ex CSS för att justera utseendet på etikett-sidan';
$_['lesson_desc_placeholder'] = 'Sätt en beskrivande text för produkterna ';
$_['lesson_created'] = 'Tag skapad';
$_['lesson_updated'] = 'Tag uppdaterat';
$_['lesson_seo_url_taken'] = 'Den URL du skrivit in är redan upptagen, var god använd en annan.';
$_['lesson_difficulty'] = 'Svårighetsgrad';
$_['lesson_difficulty_help'] = 'Svårighetsgrad på denna grupp';
$_['lesson_difficulty_daycare'] = 'Dagis';
$_['lesson_difficulty_preschool'] = 'Förskola';
$_['lesson_difficulty_year12'] = 'Skola årskurs 1-2';
$_['lesson_active'] = 'Aktiv';
$_['lesson_active_help'] = 'Ska denna finnas som ett alternativ under lektioner';
$_['lesson_content_placeholder'] = 'Klistra in ditt lektionsinnehåll här';
$_['lesson_video_link'] = 'Videolänk';
$_['lesson_video_link_help'] = 'Lägg in en länk till lektionsvideon';
$_['lesson_content'] = 'Lektionsinnehåll';
$_['lesson_content_help'] = 'Klistra in ditt lektionsinnehåll här';
$_['lesson_tags'] = 'Lägg till taggar';
$_['lesson_tags_help'] = 'Välj vilka taggar som passar denna lektion shift+click för att välja flera';
$_['lessons_search'] = 'Sök';

$_['settings_on'] = 'På';
$_['settings_off'] = 'Av';

$_['tag_active'] = 'Aktiv';
$_['tag_active_help'] = 'Välj om etiketten ska visas eller inte';


$_['games_title'] = "Spel";
$_['global_creator'] = "Skapare";
$_['global_games'] = "Spel";
$_['global_game'] = "Spel";
$_['games_type'] = "Speltyper";
$_['game_page_title'] = "Ändra detta spel";
$_['game_display_section_title'] = "Frågor";
$_['game_response_section_title'] = "Svar";
$_['game_resource_type'] = "Resurstyp";
$_['game_item_amount'] = "Antal visade resurser";
$_['game_add_tags'] = "Sök efter och lägg till en kategori";
$_['game_filter_tags'] = "Filter för kategorinamn";
$_['game_select_tags'] = "Lägg till kategori";
$_['games_resource_count'] = "Antal resurser";
$_['game_created'] = "Spel skapat";
$_['game_updated'] = "Spel uppdaterat";
$_['game_difficulty'] = "Svårighetsgrad";

$_['template_memory_image_elfword'] = "Memory - Matcha Älvdalskt ord till bild";
$_['template_memory_svword_elfword'] = "Memory - Matcha Älvdalskt ord till Svenskt ord";
$_['template_matching_elfsound_image'] = "Matchning - Matcha ett sagt Älvdalskt ord till en bild";
$_['template_matching_elfsound_svword'] = "Matchning - Matcha ett sagt Älvdalskt ord till ett svenskt skrivet ord";
$_['template_matching_svsound_elfword'] = "Matchning - Matcha ett sagt Svenskt ord till ett skrivet Älvdalskt ord";

$_['game_new_memory_game'] = "Nytt memory spel";
$_['game_new_matching_game'] = "Mytt matchningsspel";

$_['game_new_read_game'] = "Läs upp";
$_['template_read_image_elfword'] = "Läs upp - Matcha matcha ett skrivet och sagt ord till en bild";


$_['games_deleted'] = "Spel borttaget";
$_['games_deleted_failure_game_not_found'] = "Spelet inte borttaget - ID hittades inte";
$_['games_deleted_failure_permissions'] = "Spel inte borttaget - Du har inte tillstånd att ta bort spel, kontakta en administratör";
$_['global_create'] = "Skapa";
$_['games_select_template'] = "Välj speltyp att skapa";
$_['game_template_required'] = "Välj en mall till ett nytt spel";
$_['game_template_invalid'] = "Valda mallen finns inte.";