<?php 
//pulls all required and global information
include_once 'required.php';
//only load the page if someone is actually logged in

//only load page for actual users, ink superuser
if (!empty($global_user) && $global_user->user_id != '') {
	//do update/new
	if(!empty($_POST['submit']) && !empty($_POST['id'])) {
		$data = array();
		if (isset($_POST['input_first'])) {$data['user_first'] = $_POST['input_first'];}
		if (isset($_POST['input_last'])) {$data['user_last'] = $_POST['input_last'];}
		if (isset($_POST['input_note'])) {$data['user_note'] = $_POST['input_note'];}
		if (isset($_POST['input_lang'])) {$data['user_lang'] = $_POST['input_lang'];}
		if (isset($_POST['input_email'])) {$data['user_email'] = $_POST['input_email'];}
		if (isset($_POST['input_alias'])) {$data['user_alias'] = $_POST['input_alias'];}
		
		if ($global_user->user_level <= 5) {
			if (isset($_POST['input_locked'])) {$data['user_locked'] = $_POST['input_locked'];}
		}
		
		if (!empty($_POST['input_password'])) {$data['user_password'] = $_POST['input_password'];}
		
		if ($_POST['id'] == "new") {
			//if (!empty($_POST['input_email']) || !empty($_POST['input_alias'])) {
				if (!empty($_POST['input_level'])) {
					if ($_POST['input_level'] == 1 && $global_user->user_level <= 1) { //Admin
						$data['user_level'] = 1;
					} elseif ($_POST['input_level'] == 2 && $global_user->user_level <= 2) { //Developer
						$data['user_level'] = 2;
					} elseif ($_POST['input_level'] == 5 && $global_user->user_level <= 5) { //Teacher
						$data['user_level'] = 5;
					} else { //Student
						$data['user_level'] = 10;
					}
				}
				
				if ($global_user->user_level <= 5) {
					$user_id = $global_user->addUser($data);
					$_SESSION['splash'] = $_['user_created'];
					$_SESSION['splash_type'] = 'success';
				} else {
					$_SESSION['splash'] = $_['user_permissions_denied'];
					$_SESSION['splash_type'] = 'warning';
				}
			//} else {
				//$_SESSION['splash'] = $_['user_missing_required_fields'];
				//$_SESSION['splash_type'] = 'warning';
			//}
		} else {
			$u_user = $global_user->getUser($_POST['id']);
			if ($global_user->user_level <= $u_user->user_level || $global_user->user_id == $u_user->user_id) {
				$data['user_id'] = $u_user->user_id;
				$global_user->updateUser($data);
				$_SESSION['splash'] = $_['user_updated'];
				$_SESSION['splash_type'] = 'success';
			} else {
				$_SESSION['splash'] = $_['user_permissions_denied'];
				$_SESSION['splash_type'] = 'warning';
				
			}
		}
		unset($_POST);
		header('Location: users');
	}
	
	if(isset($_GET['user_id'])) {
		$user_id = $_GET['user_id'];
		
		$save_enabled = false;
		if ($user_id == "new") {
			$is_new = true;
			if ($global_user->user_level <= 5) {
				$save_enabled = true;
			} else {
				$_SESSION['splash'] = $_['user_permissions_denied'];
				$_SESSION['splash_type'] = 'warning';
				header('Location: users');
			}
		} else {
			$is_new = false;
			$c_user = $global_user->getUser($user_id);
			if ($global_user->user_level <= 5 || ($global_user->user_id == $c_user->user_id && $global_user->user_locked == 0)) {
				if ($global_user->user_level < $c_user->user_level  || $global_user->user_id == $c_user->user_id) {
					$save_enabled = true;
				}
			}
		}
		if ($global_user->user_level <= 5) {
			$save_enabled = true;
		}
	} else {
		header('Location: index');
	}
?>

<!-- END HEAD -->
<?php
	include 'templates/head.php';
?>
<script src="https://cdn.jsdelivr.net/npm/vue"></script>
 
<!-- BEGIN BODY -->
<style>
	abbr {
    background: black;
    color: white;
    font-weight: bold;
    display: inline-block;
    height: 1.5em;
    width: 1.5em;
    border: 1px solid black;
    border-radius: 5em;
    box-shadow: inset 0 0 0 1px white;
    text-align: center;
    opacity: .6;
    text-decoration: none;
    font-size: 0.9em;
    line-height: 1.6em;
    transition: all .3s;
	}
	abbr:hover {
		opacity: 1;
	}
	.form-horizontal .control-group {
		margin-bottom: 10px;
	}
	.collapsible-header {
    background: #eee;
    border-bottom: 1px solid #aaa;
    padding: .5em .75em .4em;
    margin-top: 1em;
    display: flex;
    justify-content:space-between;
    align-items: center;
    cursor: pointer;
	}
	.collapsible-header .small-link {
		color: #00f;
		font-size: 12px;
		text-decoration: underline;
		margin-left: 1em;;
	}
	.buttons-shipping-container {
	    display: none;
	}
	.buttons-collapsible-container {
	    display: none;
	}
	.buttons-extra-container{
	    display: none;
	}
	.collapsible--open {
		background: #3449ae17;
	}
	.collapsible--open .fa-chevron-double-down{
    display: none;
	}
	.collapsible--open .fa-chevron-double-up{
	    display: inline;
	}
	.fa-chevron-double-up{
	    display: none;
	}

	.vat-option-selected {
		border:1px solid black;	
	}

	.result-wrap {
	    display: flex;
	    flex-wrap: wrap;
	    margin: -16px;
	    margin-bottom: 1em;
	}
	.result-col {
	    flex: 500px 1 0;
	    margin: 16px;
	}
	@media (max-width: 550px){
		.result-wrap {
		    margin: -16px 0;
		}
		.result-col {
		    flex: 100% 1 0;
		    margin: 16px 0;
		}	
	}
	code {
 	   white-space: normal; 
	   word-break: break-word;
	}
	input+select {
    width: 153px;
	}
	
	.control-label {
		font-weight: bold;
	}
	
	.control-group .controls div.radio {
		display: inline-block;
		margin-top: 0px !important;
	}
	label {
		margin-bottom: 0px;
		display: inline-block;
	}
</style>
<body class="page-header-fixed">
	<?php
		include 'templates/header.php';
	?>
	<!-- BEGIN CONTAINER -->
	<div class="page-container">
		<?php
			include 'templates/navigation.php';
		?>
		<!-- END SIDEBAR -->
		<!-- BEGIN PAGE -->
		<div class="page-content" style="min-height:864px !important">
			<!-- BEGIN PAGE CONTAINER-->        
			<div class="container-fluid">
				<!-- BEGIN PAGE HEADER-->
				<div class="row-fluid">
					
					<?php include 'templates/splash.php'; ?>
					
					<div>
						<!-- BEGIN PAGE TITLE & BREADCRUMB-->
						<ul class="breadcrumb">
							<li>
								<i class="icon-home"></i>
								<a href="index"><?php echo $_['global_home']; ?></a> 
								<i class="icon-angle-right"></i>
							</li>
							<li>
								<a href="users"><?php echo $_['global_accounts']; ?></a>
								<i class="icon-angle-right"></i>
							</li>
							<li>
								<a href="user?user_id=<?php echo $user_id; ?>"><?php echo ($is_new)?$_['user_new_user']:$_['global_account']." ".$c_user->user_id; ?></a>
							</li>
						</ul>
						<h3 class="page-title">
							<?php echo $_['user_page_title']; ?>
						</h3>
						<!-- END PAGE TITLE & BREADCRUMB-->
					</div>
				</div>
				<!-- END PAGE HEADER-->
				<!-- BEGIN PAGE CONTENT-->
				<div class="row-fluid">
					
					<?php include 'templates/splash.php'; ?>
					
					<div class="span12">
						<form action='<?php echo htmlspecialchars($_SERVER["PHP_SELF"]."?user_id=".$user_id); ?>' method='POST' onkeydown="return event.key != 'Enter';">
							<div class="control-group">
								<label class="control-label"><?php echo ($is_new)?$_['user_new_account']:$c_user->user_first." ".$c_user->user_last; ?></label>
								<div class="controls">
									<input class='button-field' type='text' value='<?php echo ($is_new)?$_['global_new']:$user_id; ?>' placeholder='' disabled/>
									<?php if ($save_enabled) { ?>
										<input type='hidden' name='id' id='id' value='<?php echo ($is_new)?'new':$c_user->user_id; ?>'>
									<?php } ?>
								</div>
							</div>
							
							<div class="control-group">
								<label class="control-label"><?php echo $_['global_first_name']; ?></label>
								<div class="controls">
									<input class='button-field' type='text' name='input_first' id='input_first' value='<?php echo ($is_new)?'':$c_user->user_first; ?>' placeholder='' <?php echo ($save_enabled)?'':'disabled'; ?>/>
								</div>
							</div>
							
							<div class="control-group">
								<label class="control-label"><?php echo $_['global_last_name']; ?></label>
								<div class="controls">
									<input class='button-field' type='text' name='input_last' id='input_last' value='<?php echo ($is_new)?'':$c_user->user_last; ?>' placeholder='' <?php echo ($save_enabled)?'':'disabled'; ?>/>
								</div>
							</div>
							
							<div class="control-group">
								<label class="control-label"><?php echo $_['global_alias']; ?></label>
								<div class="controls">
									<input class='button-field' type='text' name='input_alias' id='input_alias' value='<?php echo ($is_new)?'':$c_user->user_alias; ?>' placeholder='' <?php echo ($save_enabled)?'':'disabled'; ?>/><?php echo ($is_new)?'':'.'.$c_user->user_id; ?>
								</div>
							</div>
							
							<div class="control-group">
								<label class="control-label"><?php echo $_['global_email']; ?></label>
								<div class="controls">
									<input class='button-field' type='text' name='input_email' id='input_email' value='<?php echo ($is_new)?'':$c_user->user_email; ?>' placeholder='' <?php echo ($save_enabled)?'':'disabled'; ?>/>
								</div>
							</div>
							
							<?php if ($save_enabled) { ?>
								<div class="control-group">
									<label class="control-label"><?php echo $_['user_update_password']; ?></label>
									<div class="controls">
										<input class='button-field' type='password' name='input_password' id='input_password' value='' placeholder='' />
									</div>
								</div>
							<?php } ?>
							
							<?php if ($global_user->user_level <= 5) { ?>
								<div class="control-group">
									<label class="control-label"><?php echo $_['user_note_box']; ?></label>
									<div class="controls">
										<textarea class='span6' name='input_note' id='input_note' rows="4" cols="50" <?php echo ($save_enabled)?'':'disabled'; ?>><?php echo (!empty($c_user->user_note))?$c_user->user_note:''; ?></textarea>
									</div>
								</div>
							<?php } ?>
							
							<div class="control-group">
								<label class="control-label"><?php echo $_['global_preferred_language']; ?></label>
								<div class="controls">
									<input type='radio' name='input_lang' id='input_lang_sv' value='sv'<?php if ($is_new) {print ' checked';} else {if ($c_user->user_lang != 'eng') {print ' checked';}} ?><?php echo ($save_enabled)?'':' disabled'; ?>>
									<label for='input_lang_sv'><?php echo $_['global_swedish']; ?></label><br>
									<input type='radio' name='input_lang' id='input_lang_eng' value='eng'<?php if ($is_new) {print '';} else {if ($c_user->user_lang == 'eng') {print ' checked';}} ?><?php echo ($save_enabled)?'':' disabled'; ?>>
									<label for='input_lang_eng'><?php echo $_['global_english']; ?></label>
								</div>
							</div>
							
							<?php if ($is_new || $global_user->user_level <= 2) { ?>
								<div class="control-group">
									<label class="control-label"><?php echo $_['global_user_level']; ?></label>
									<div class="controls">
										<select class='button-field' name='input_level' id='input_level'>
											<?php
												$current_level = 10; //Student, default
												if (!$is_new) {
													if ($c_user->user_level == 5) { //Teacher
														$current_level = 5;	
													}
													if ($c_user->user_level == 2) { //Developer
														$current_level = 2;	
													}	
													if ($c_user->user_level == 1) { //Admin
														$current_level = 1;	
													}	
												}
											?>
											<option value='10' <?php echo ($current_level == 10)?'selected':''; ?>><?php echo $_['global_student']; ?></option>
											<option value='5' <?php echo ($current_level == 5)?'selected':''; ?>><?php echo $_['global_teacher']; ?></option>
											<?php if ($global_user->user_level <= 2) { ?>
												<option value='2' <?php echo ($current_level == 2)?'selected':''; ?>><?php echo $_['global_developer']; ?></option>
											<?php } ?>
											<?php if ($global_user->user_level <= 1) { ?>
												<option value='1' <?php echo ($current_level == 1)?'selected':''; ?>><?php echo $_['global_admin']; ?></option>
											<?php } ?>
										</select>
									</div>
								</div>
							<?php } elseif (!$is_new) { ?>
								<div class="control-group">
									<label class="control-label"><?php echo $_['global_user_level']; ?></label>
									<div class="controls">
										<?php
											$current_title = $_['global_student']; //Student, default
											if ($c_user->user_level == 5) { //Teacher
												$current_title = $_['global_teacher'];	
											}
											if ($c_user->user_level == 2) { //Developer
												$current_title = $_['global_developer'];	
											}	
											if ($c_user->user_level == 1) { //Admin
												$current_title = $_['global_admin'];	
											}	
										?>
										<input class='button-field' type='text' value='<?php echo $current_title; ?>' placeholder='' disabled />
									</div>
								</div>
							<?php } ?>
							
							<?php if (($is_new || $c_user->user_level == 10) && $global_user->user_level <= 5) { ?>
								<div class="control-group">
									<label class="control-label"><?php echo $_['user_allow_student_changes']; ?></label>
									<div class="controls">
										<input type='radio' name='input_locked' id='input_locked_0' value='0'<?php if ($is_new) {print '';} else {if ($c_user->user_locked == '0') {print ' checked';}} ?><?php echo ($save_enabled)?'':' disabled'; ?>>
										<label for='input_locked_0'><?php echo $_['global_yes']; ?></label><br>
										<input type='radio' name='input_locked' id='input_locked_1' value='1'<?php if ($is_new) {print ' checked';} else {if ($c_user->user_locked == '1') {print ' checked';}} ?><?php echo ($save_enabled)?'':' disabled'; ?>>
										<label for='input_locked_1'><?php echo $_['global_no']; ?></label>
									</div>
								</div>
							<?php } ?>
							
							<?php if ($save_enabled) { ?>
								<div class="form-actions">
									<button type='submit' class='btn hovertheme' name='submit' value=1><i class="icon-save"></i>&nbsp;&nbsp;<?php echo $_['global_save']; ?></button>
								</div>
							<?php } ?>
						</form>
					</div>
				</div>
				<!-- END PAGE CONTENT -->
			</div>
			<!-- END PAGE CONTAINER-->
		</div>
		<!-- END PAGE -->    
	</div>
	<!-- END CONTAINER -->
	<?php include 'templates/footer.php'; ?>
	
<?php 
//close the page load user check
} else {
	header('Location: login');
}
 ?>